Package com.enonic.xp.form

## Class FormItemSet.Builder

- java.lang.Object
- - com.enonic.xp.form.FormItemSet.Builder

- Enclosing class:
    FormItemSet

      public static class FormItemSet.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |
    `Builder​(FormItemSet source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FormItemSet.Builder` | `addFormItem​(FormItem value)` |
    `FormItemSet.Builder` | `addFormItems​(Iterable<FormItem> iterable)` |
    `FormItemSet` | `build()` |
    `FormItemSet.Builder` | `clearFormItems()` |
    `FormItemSet.Builder` | `customText​(String value)` |
    `FormItemSet.Builder` | `helpText​(String value)` |
    `FormItemSet.Builder` | `helpTextI18nKey​(String value)` |
    `FormItemSet.Builder` | `immutable​(boolean value)` |
    `FormItemSet.Builder` | `label​(String value)` |
    `FormItemSet.Builder` | `labelI18nKey​(String value)` |
    `FormItemSet.Builder` | `multiple​(boolean value)` |
    `FormItemSet.Builder` | `name​(String value)` |
    `FormItemSet.Builder` | `occurrences​(int minOccurrences, int maxOccurrences)` |
    `FormItemSet.Builder` | `occurrences​(Occurrences value)` |
    `FormItemSet.Builder` | `required​(boolean value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

    - #### Builder

          public Builder​(FormItemSet source)

  - ### Method Detail

    - #### name

          public FormItemSet.Builder name​(String value)

    - #### label

          public FormItemSet.Builder label​(String value)

    - #### labelI18nKey

          public FormItemSet.Builder labelI18nKey​(String value)

    - #### immutable

          public FormItemSet.Builder immutable​(boolean value)

    - #### occurrences

          public FormItemSet.Builder occurrences​(Occurrences value)

    - #### occurrences

          public FormItemSet.Builder occurrences​(int minOccurrences,
                                                 int maxOccurrences)

    - #### required

          public FormItemSet.Builder required​(boolean value)

    - #### multiple

          public FormItemSet.Builder multiple​(boolean value)

    - #### customText

          public FormItemSet.Builder customText​(String value)

    - #### helpText

          public FormItemSet.Builder helpText​(String value)

    - #### helpTextI18nKey

          public FormItemSet.Builder helpTextI18nKey​(String value)

    - #### addFormItem

          public FormItemSet.Builder addFormItem​(FormItem value)

    - #### addFormItems

          public FormItemSet.Builder addFormItems​(Iterable<FormItem> iterable)

    - #### clearFormItems

          public FormItemSet.Builder clearFormItems()

    - #### build

          public FormItemSet build()